target-version = 'py39'
line-length = 120

[lint]
select = ['F', 'E', 'W', 'C90', 'B', 'I', 'N', 'D', 'YTT', 'ANN', 'S', 'A', 'C4', 'DTZ', 'T10', 'EXE', 'ISC',
          'G', 'INP', 'T20', 'PT', 'Q', 'RSE', 'RET', 'SLF', 'SIM', 'TID', 'TCH', 'ARG', 'PTH', 'ERA', 'PL', 'TRY',
          'RUF']
ignore = [
    'S101',
    'S310',
    'S603',
    'S607',
    'D203',
    'D213',
    'D406',
    'D407',
    'ANN101',
    'ANN401',
    'TRY003',
    'C901',
    'N999',
    'TRY400',
    'T201',
    'PLR0915',
    'ERA001',
]

[lint.per-file-ignores]
'doc/source/conf.py' = ['A001', 'ERA001', 'INP001']
'gjson/_cli.py' = ['T201']
'setup.py' = ['EXE001']

[lint.flake8-annotations]
mypy-init-return = true

[lint.flake8-bandit]
check-typed-exception = true

[lint.flake8-pytest-style]
parametrize-values-type = 'tuple'
raises-extend-require-match-for = [
    'GJSONError',
    'GJSONParseError',
    'GJSONInvalidSyntaxError',
]

[lint.flake8-quotes]
inline-quotes = 'single'

[lint.pydocstyle]
convention = 'google'

[format]
quote-style = 'single'
